# 文字コードはＵＴＦ－８、改行コードはＬＦのみ
# $Id: OperRegain.pm 95 2008-12-19 21:11:58Z umezawa $

package KotoriBot::Plugin::OperRegain;

use strict;
use warnings;
use utf8;

use KotoriBot::Plugin;

our @ISA = qw(KotoriBot::Plugin);

sub check_regain {
	my($self) = @_;
	my $channel = $self->{channel};

	if (scalar($channel->nicks()) == 1 && !$channel->am_operator()) {
		$channel->rejoin();
	}
}

sub on_part {
	my($self) = @_;

	$self->check_regain();
}

sub on_kick {
	my($self) = @_;

	$self->check_regain();
}

sub on_quit {
	my($self) = @_;

	$self->check_regain();
}

###############################################################################

return 1;
